Package org.eclipse.birt.report.model.api.validators

# Interface IValidationListener

public interface IValidationListener
Receives validation events after one element is validated.

## Method Summary

Modifier and Type
Method
Description
`void`
`elementValidated(DesignElementHandle targetElement, ValidationEvent ev)`
Notifies the element is validated.

## Method Details

### elementValidated

void elementValidated(DesignElementHandle targetElement, ValidationEvent ev)
Notifies the element is validated.

Parameters:
  `targetElement` - the validated element
  `ev` - the validation event which contains the error information